Grants

List Grants

get

List grants for the user's organization.

Args: cluster: Filter by cluster ID. kinds: Filter by grant kinds. show_expired: Include expired/deleted grants (default False).

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
clusterstring · nullableOptional
show_expiredbooleanOptionalDefault: false
Responses
chevron-right
200

Successful Response

application/json
itemsone ofOptional
get
/v2/grants

Create Grant

post

Create a new grant. Only admins can create grants.

Grants provide capacity entitlements with buy-back pricing:

  • unit_price: Price per unit of capacity

  • early_termination_buyback_price: Price paid back for early termination

  • flexible_usage_buyback_price: Price paid back for unused flexible capacity

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
anyOptional
Responses
post
/v2/grants

No content

Delete Grant

delete

Delete (soft-delete) a grant. Only admins can delete grants.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
grant_fidstringRequired
Responses
delete
/v2/grants/{grant_fid}

No content

Resell Grant

post

Resell (reduce) a grant's quantity. Only admins can resell grants.

The new quantity must be less than the current quantity. This is used to return unused capacity from grants.

Implementation:

  • Creates a NEW grant with the reduced quantity

  • The new grant starts now and ends at the same time as the old grant

  • The old grant is soft-deleted (deleted_at = new grant's starts_at)

  • This preserves the remaining duration while reducing capacity

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
grant_fidstringRequired
Body

Request body for reselling (reducing) a grant's quantity.

new_quantityintegerRequired
Responses
chevron-right
200

Successful Response

application/json
anyOptional
post
/v2/grants/{grant_fid}/resell

No content

Last updated